//
//  MDMarkdownParser.h
//  MayDay
//
//  Created by Joshua Emmons on 9/14/09.
//  Copyright 2009 Journey Corps. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define EMPTY_ELEMENT_SUFFIX @">" #tag soup 4EVAR!
#define TAB_LENGTH 4

typedef enum  {
	MDBlockParseModeNone,
	MDBlockParseModeHTML,
	MDBlockParseModeList
} MDBlockParseMode;

@interface MDMarkdownParser : NSObject {
	NSMutableArray *urls;
	NSMutableArray *titles;
	NSMutableArray *htmlBlocks;
}

-(NSString *)parseBlocks:(NSString *)aString;
-(NSString *)detabString:(NSString *)aString;
-(NSString *)normalizeNewlines:(NSString *)aString;
-(NSString *)cleanWhitespaceOnlyLinesInString:(NSString *)aString;
-(NSString *)normalizeMarkdownString:(NSString *)aString;
@end
