#import "StringToolTestCases.h"
#import "NSString+MDTools.h"

@implementation StringToolTestCases
-(void)testStartsWithHTMLBlock{
	STAssertNil([@"<" startsWithHTMLBlock], @"Open tag");
	STAssertNil([@"<h6div" startsWithHTMLBlock], @"compound");
	STAssertNil([@" <h6>" startsWithHTMLBlock], @"leading spaces");
	STAssertEqualObjects([@"<h6>" startsWithHTMLBlock], @"h6", @"single tag");
	STAssertEqualObjects([@"<h6 class='stuff'>" startsWithHTMLBlock], @"h6", @"with attributes");
}

@end
