//
//  NSString+MDTools.m
//  MayDay
//
//  Created by Joshua Emmons on 10/21/09.
//  Copyright 2009 Journey Corps. All rights reserved.
//

#import "NSString+MDTools.h"


@implementation NSString (MDTools)
-(NSString *)startsWithHTMLBlock{
	NSScanner *scanner = [NSScanner scannerWithString:self];
	[scanner setCharactersToBeSkipped:nil];
	if([scanner scanString:@"<" intoString:nil]){
		NSString *buffer=nil;
		NSMutableCharacterSet *characterSet = [NSMutableCharacterSet whitespaceCharacterSet]; 
		[characterSet addCharactersInString:@">"];
		[scanner scanUpToCharactersFromSet:characterSet intoString:&buffer];
		
		if([buffer isEqualToString:@"blockquote"]||
			 [buffer isEqualToString:@"p"]||
			 [buffer isEqualToString:@"div"]||
			 [buffer isEqualToString:@"h1"]||
			 [buffer isEqualToString:@"h2"]||
			 [buffer isEqualToString:@"h3"]||
			 [buffer isEqualToString:@"h4"]||
			 [buffer isEqualToString:@"h5"]||
			 [buffer isEqualToString:@"h6"]||
			 [buffer isEqualToString:@"h6"]||
			 [buffer isEqualToString:@"pre"]||
			 [buffer isEqualToString:@"table"]||
			 [buffer isEqualToString:@"dl"]||
			 [buffer isEqualToString:@"ol"]||
			 [buffer isEqualToString:@"ul"]||
			 [buffer isEqualToString:@"script"]||
			 [buffer isEqualToString:@"noscript"]||
			 [buffer isEqualToString:@"form"]||
			 [buffer isEqualToString:@"fieldset"]||
			 [buffer isEqualToString:@"iframe"]||
			 [buffer isEqualToString:@"math"]||
			 [buffer isEqualToString:@"ins"]||
			 [buffer isEqualToString:@"del"]){
			return buffer;
		}
	}
	return nil;
}
@end
